%global source_name libpasraw
%global source_summary Pascal interface to libraw
%global source_version 1.3.0
%global source_release 9
%global source_license GPLv3+
%global source_description %{expand:
Provides shared library to interface Pascal program with libraw.
}
%global forge_url0 https://github.com/pchev/libpasraw/
%global forge_tag0 v1.3.0
%global forge_patchlist0 %{expand:
# Patch to fix stripping of library files
# Since this is Fedora specific we don't ask upstream to include
libpasraw-1.3-nostrip.patch
# Add LDFLAGS to compiler
libpasraw-1.3-ldflags.patch
}
%global source_tags %{expand:
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libraw)
BuildRequires:  make
}

%forgeauto_init
%forgeauto_pkg

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}

%sourcelist
%forgeauto_sources

%patchlist
%forgeauto_patches

%prep
%forgeauto_prep

# do not install docs, use %%doc macro
sed -i '/\$destdir\/share/d' ./install.sh

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
%make_build arch_flags="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
make install PREFIX=%{buildroot}%{_prefix}

%files
%license LICENSE
%doc changelog copyright README.md
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.1

%files devel
%{_libdir}/%{name}.so

%changelog
* Thu Dec 30 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-9
- Convert to new forge macros

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 11 2020 Gwyn Ciesla <gwync@protonmail.com> - 1.3.0-5
- Rebuild for new LibRaw

* Mon Mar 16 2020 Mattia Verga <mattia.verga@protonmail.com> - 1.3.0-4
- Use %%make_build macro

* Mon Mar 16 2020 Mattia Verga <mattia.verga@protonmail.com> - 1.3.0-3
- Add -devel subpackage

* Sun Mar 15 2020 Mattia Verga <mattia.verga@protonmail.com> - 1.3.0-2
- Fix license file
- Use ldflags

* Sat Mar 07 2020 Mattia Verga <mattia.verga@protonmail.com> - 1.3-1.20200302gitdbbe4cc
- Initial packaging
